PHP Manual
Prev |  | Next

# mysqli_get_client_version

(PHP 5)

mysqli_get_client_version -- Get MySQL client info

## Description

int mysqli_get_client_version ( void )

Returns client version number as an integer.

## Return Values

A number that represents the MySQL client library version in format: `main_version*10000 + minor_version *100 + sub_version`. For example, 4.1.0 is returned as 40100.

This is useful to quickly determine the version of the client library to know if some capability exits.

## Examples

Example 1. mysqli_get_client_version

`<?php /* We don't need a connection to determine the version of mysql client library */ printf("Client library version: %d\n", mysqli_get_client_version()); ?>`

## See Also

mysqli_get_client_info()
mysqli_get_server_info()
mysqli_get_server_version()

Prev | Home | Next
mysqli_get_client_info | Up | mysqli_get_host_info